import { jsx } from "react/jsx-runtime";
import { TokenALICE as TokenALICE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenALICE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "ALICE", "data-name": "TokenALICE", ...props, children: /* @__PURE__ */ jsx(TokenALICE$1, { variant }) });
  }
);
TokenALICE.displayName = "TokenALICE";
Object.assign(TokenALICE, { isGdsIcon: true });
export {
  TokenALICE
};
